<template>
  <v-layout
    class="pageContent"
    id="goodbye"
    justify-space-around
    align-center
    v-bind:row="isLandscape"
    v-bind:column="!isLandscape"
  >
    <v-flex
      class="first"
      v-html="endPage"
      justify-center
    >
    </v-flex>
    <v-flex class="second">
      <img id="congrats" src="assets/congrats.png"/>
    </v-flex>
  </v-layout>
</template>

<script>
  export default {
    name: "pageContent",
    props: ["endPage"],
    computed: {
      isLandscape: function () {
        return window.innerHeight <= 700 && window.innerWidth >= 600;
      }
    }
  };
</script>

<style scoped>
  .first {
    padding: 1ch;
  }

  .second > img {
    max-width: 90%;
  }

  @media screen and (max-height: 700px) and (min-width: 600px) {
    .pageContent {
      width: 90%;
      height: 90%;
    }

    .first, .second {
      height: 45%;
      max-width: 50%;
    }

    .second > img {
      height: available;
    }
  }

</style>
